Draft Réseau circulaire

From FreeCAD Documentation
Jump to navigation Jump to search
This page is a translated version of the page Draft CircularArray and the translation is 100% complete.
Other languages:
Deutsch • ‎English • ‎français • ‎italiano • ‎русский
Arrow-left.svg Page précédente : Draft Draft2Sketch.svg Draft vers Esquisse
Page suivante : Link Array Draft LinkArray.svg Arrow-right.svg

Draft PolarArray.svg Draft Réseau circulaire

Emplacement du menu
Modify → Circular array
Ateliers
Draft
Raccourci par défaut
Aucun
Introduit dans la version
0.19
Voir aussi
Draft Réseau, Draft Réseau polaire, Draft Chemin pour série de copies, Draft Matrice de points, Draft Clone


Description

L'outil Draft CircularArray.svg Draft Réseau circulaire crée un tableau à partir d'un objet sélectionné en plaçant les copies le long de circonférences concentriques. Cela revient à utiliser Draft PolarArray.svgRéseau polaire avec un angle polaire de 360 degrés et à créer plusieurs de ces réseaux concentriques.

Cet outil peut être utilisé sur des formes 2D créées avec Workbench Draft.svg l'atelier Draft mais également sur de nombreux types d'objets 3D tels que ceux créés avec Workbench Part.svg l'atelier Part ou Workbench PartDesign.svg l'atelier PartDesign.

Pour positionner les copies dans une grille rectangulaire, utilisez Draft Array.svg Draft Réseau; pour vous positionner dans un motif polaire, utilisez Draft PolarArray.svg Draft Réseau polaire; pour positionner des copies le long d'un chemin, utilisez Draft PathArray.svg Draft Réseau sur un chemin; pour positionner les copies aux points spécifiés, utilisez Draft PointArray.svg Draft Matrice de points; pour créer des copies ou des clones et les placer manuellement, utilisez Draft Move.svg Draft Déplacer, Draft Rotate.svg Draft Rotation et Draft Clone.svg Draft Clone.

Draft CircularArray example.png

Un réseau circulaire d'un objet.


Utilisation

  1. Sélectionnez un objet à partir duquel vous souhaitez créer le réseau circulaire.
  2. Appuyez sur le bouton Draft CircularArray.svg Réseau circulaire. Si aucun objet n'est sélectionné, le Panneau des tâches s'ouvre mais vous devez toujours sélectionner un objet pour continuer.
  3. Choisissez la distance radiale, qui détermine la distance entre le centre du réseau et la couche circulaire suivante, et entre les couches circulaires suivantes.
  4. Choisissez la distance tangentielle, qui détermine la distance entre un élément du réseau et l'élément suivant dans la même couche circulaire. Cette distance détermine le nombre d'éléments qui seront dans le réseau; si le nombre est petit, il y aura de nombreuses copies bien emballées; si le nombre est important, il n'y aura que quelques exemplaires. Cette distance ne peut pas être nulle.
  5. Choisissez le nombre de couches circulaires. L'objet d'origine est considéré comme un seul calque. Minimum de 2, maximum de 99.
  6. Choisissez la symétrie, qui détermine la symétrie des objets dans le réseau.
    Avec symétrie = 1, vous devrez peut-être faire pivoter le réseau d'un cercle complet pour faire correspondre les positions sur lui-même, avec symétrie = 2 une rotation d'un demi-cercle (180°) est toujours suffisante, avec symétrie = 3 une rotation des ⅓ d'un cercle (120°), …, avec symétrie = na rotation de 360°/n. Si la symétrie augmente, le nombre d'objets dans certains cercles diminue, il peut même ne pas être possible de placer des objets dans le ou les cercles intérieurs.
    Dans la plupart des cas, vous voulez un nombre compris entre 1 et 6.
  7. Choisissez le centre de l'axe de rotation. Vous pouvez cliquer sur la Vue 3D, pour définir simultanément la position du centre de rotation et terminer la commande.
  8. Facultativement, vérifiez les options de fusible ou de lien.
  9. Appuyez sur OK pour terminer la commande.

Remarques:

  • Par défaut, l'axe de rotation est l'axe Z positif (0, 0, 1). Ceci peut être modifié dans l'Éditeur de propriétés après la création de l'objet.
  • Chaque élément du réseau est un clone exact de l'objet d'origine mais l'ensemble du réseau est considéré comme une seule unité en termes de propriétés et d'apparence.
  • Cette commande crée le même objet que celui créé avec les outils Draft Array.svg Draft Réseau et Draft PolarArray.svg Draft Réseau polaire. Par conséquent, le réseau peut être converti en orthogonal, polaire ou circulaire en changeant simplement ses propriétés.

Options

  • Appuyez sur Reset point pour définir le centre des motifs circulaires sur l'origine (0, 0, 0).
  • Si la case Fuse est cochée, les objets résultants dans le réseau seront fusionnés en une seule forme, s'ils se touchent ou se croisent.
  • Si la case Use Links est cochée, les objets résultants dans le réseau seront App Links au lieu de simples copies. Cela améliore l'utilisation de la mémoire du tableau, car le lien d'application réutilise la forme de l'objet d'origine et ne crée pas de nouvelles formes. Si cette option est utilisée, la case à cocher Fuse n'a aucun effet.
  • Appuyez sur Esc ou sur le bouton Cancel pour abandonner la commande en cours.

Propriétés

Un objet Draft Réseau est basé surPart Feature (classe Part::Feature) et partage ainsi toutes les propriétés de ce dernier. Outre les propriétés répertoriées dans Part Feature, l'objet Array possède des propriétés supplémentaires.

Voir l'outil Draft Array.svg Draft Réseau orthogonal pour les informations complètes.

Script

Voir aussi: Draft API et FreeCAD sripts de base.

L'outil Réseau (Array) peut être utilisé dans une macro et dans la console Python avec la fonction suivante:

array_list = make_circular_array(obj, r_distance, tan_distance,
                                 axis, center, number, symmetry,
                                 use_link)
  • Crée un réseau à partir des objets contenus dans obj qui peut être un seul objet ou une liste d'objets.
  • Les valeurs de r_distance et tan_distance correspondent aux distances radiales et tangentielles des éléments du réseau.
  • Les valeurs de axis et center sont des vecteurs qui décrivent la direction de l'axe de rotation et un point par lequel passe cet axe.
  • La valeur de number est le nombre de couches circulaires dans le motif circulaire; l'objet d'origine compte comme premier calque.
  • La valeur de symmetry est un entier qui participe à certains calculs qui affectent la façon dont les copies sont réparties autour des circonférences. Essayez différentes valeurs, de 1 à 10, pour obtenir différents emplacements des copies.
  • Si use_link est True, les copies créées seront App Links et non des copies régulières.
  • array_list est retourné avec les nouvelles copies.
    • array_list est soit un objet unique soit une liste d'objets, selon l'entrée obj.

Exemple:

import FreeCAD as App
import Draft
import draftobjects.circulararray as ca

doc = App.newDocument()

tri = Draft.makePolygon(3, 600)
axis = App.Vector(0, 0, 1)
center = App.Vector(0, 0, 0)
arr = ca.make_circular_array(tri, 1800, 1200, axis, center, 4, 1)
App.ActiveDocument.recompute()
Arrow-left.svg Page précédente : Draft Draft2Sketch.svg Draft vers Esquisse
Page suivante : Link Array Draft LinkArray.svg Arrow-right.svg